Skip to main content
`Ctrl`+`K`

# TSTrajectoryGet

Updates the solution vector of a time stepper object by querying the `TSTrajectory`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectoryGet(TSTrajectory tj, TS ts, PetscInt stepnum, PetscReal *time)

Collective

## Input Parameters

- tj - the trajectory object

- ts - the time stepper object

- stepnum - the step number

## Output Parameter

- time - the time associated with the step number

## Note

Usually one does not call this routine, it is called automatically during `TSSolve()`

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSolve()`, `TSTrajectorySetUp()`, `TSTrajectoryDestroy()`, `TSTrajectorySetType()`, `TSTrajectorySetVariableNames()`, `TSGetTrajectory()`, `TSTrajectorySet()`, `TSTrajectoryGetVecs()`, `TSGetSolution()`

## Level

developer

## Location

src/ts/trajectory/interface/traj.c

## Implementations

TSTrajectoryGet_Basic() in src/ts/trajectory/impls/basic/trajbasic.c
TSTrajectoryGet_Memory() in src/ts/trajectory/impls/memory/trajmemory.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages